Bug 251570 - set indentation mode to "Normal" by default, rather than "None"
Summary: set indentation mode to "Normal" by default, rather than "None"
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: indentation (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-17 14:50 UTC by uetsah
Modified: 2011-08-12 13:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description uetsah 2010-09-17 14:50:14 UTC
Version:           unspecified
OS:                Linux

It is a little tedious to always have to enable indentation for every Kate installation and also every Kate session within each installation.

This is a very basic feature, which probably most Kate users want to use, so why is it disabled by default?

I think the default value should be "Normal" indentation mode, after all that's why it's called "Normal", isn't it?

Reproducible: Didn't try
Comment 1 Christoph Cullmann 2011-08-12 13:25:52 UTC
Git commit a5b18e8dc412d1ebbac969eadb0871bb49210b7f by Christoph Cullmann.
Committed on 12/08/2011 at 15:25.
Pushed by cullmann into branch 'master'.

use normal indentation per default
BUG: 251570

M  +1    -1    part/utils/kateconfig.cpp

http://commits.kde.org/kate/a5b18e8dc412d1ebbac969eadb0871bb49210b7f